# get\_issues

`imerit_ango.sdk.SDK.`

## get\_issues(project\_id, asset\_id, task\_id, stage\_id, created\_by)

Retrieve issues of your project.

### Parameters

* **project\_id:** string
  * The unique identifier for the project. You can find the project ID in [the user interface](/sdk/sdk-documentation.md#project-ids) or retrieve it using the [`list_projects`](/sdk/sdk-documentation/project-level-sdk-functions/list_projects.md) function.
* **asset\_id:** string, *default None*
  * The unique identifier for the asset. You can find the asset ID in [the user interface](/sdk/sdk-documentation.md#task-and-asset-ids) or retrieve it using the [`get_assets`](/sdk/sdk-documentation/project-level-sdk-functions/get_assets.md) function. You can use this parameter to filter issues according to a specific asset in the project.
* **task\_id:** string, *default None*
  * The unique identifier for the task. You can find the task ID in [the user interface](/sdk/sdk-documentation.md#task-and-asset-ids) or retrieve it using the [`get_tasks`](/sdk/sdk-documentation/project-level-sdk-functions/get_tasks.md) function. You can use this parameter to filter issues according to a specific task in the project.
* **stage\_id:** string, *default None*
  * The unique identifier for the stage. You can retrieve the stage ID using the [`get_project`](/sdk/sdk-documentation/project-level-sdk-functions/get_project.md) function. You can use this parameter to filter issues according to a specific stage in the project.
* **created\_by:** string, *default None*
  * Email address of the user who created the issues. This parameter can be used to filter the issues based on the creator.
  * Example: `'user@example.com'`

Returns:

* **output:** dict
  * A dictionary containing the result of the operation.
  * Including a `status` field indicating whether the request was successful and a `data` field containing the response payload with updated resources produced by the operation.

### Example

{% tabs %}
{% tab title="python" %}

```python
import os
from dotenv import load_dotenv
from imerit_ango.sdk import SDK

load_dotenv('variables.env')
api_key = os.getenv('API_KEY')
project_id = os.getenv('PROJECT_ID')

ango_sdk = SDK(api_key)

# Get all issues of the project
sdk_response = ango_sdk.get_issues(project_id=project_id)
```

{% endtab %}

{% tab title="curl" %}

```bash
curl -X GET "https://imeritapi.ango.ai/v2/issues?project=$PROJECT_ID" \
  -H "Content-Type: application/json" \
  -H "apikey: $ANGO_API_KEY"
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**See also**

[create\_issue](/sdk/sdk-documentation/project-level-sdk-functions/create_issue.md), [delete\_issue](/sdk/sdk-documentation/project-level-sdk-functions/delete_issue.md)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.imerit.net/sdk/sdk-documentation/project-level-sdk-functions/get_issues.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
